apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  # Name of your Application, suggestion is to use same as the project
  # created to avoid conflicts.
  name: jobtech-jobad-enrichments-tf-serving-test
  namespace: openshift-gitops
spec:
  destination:
    # This namespace shall be same as the OpenShift project you created.
    namespace: jobtech-jobad-enrichments-test
    server: https://kubernetes.default.svc
  project: revival
  source:
    # URL to the git repo to deploy. Of the two repos you are working with it shall be the infra.
    repoURL: https://gitlab.com/arbetsformedlingen/enrichment/jobtech-jobad-enrichments-tf-serving-infra.git
    # Path to the overlay to deploy
    path: kustomize/overlays/test
    # Branch to use, most often main or master.
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    # Do not let ArgoCD create namespace, it will not get the right permissions.
    - CreateNamespace=false

